Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl.mem
Class InMemoryExecutorQueryServiceImpl

    java.lang.Object
      org.jbpm.executor.impl.mem.InMemoryExecutorQueryServiceImpl

All Implemented Interfaces:
  org.kie.internal.executor.api.ExecutorQueryService

    public class InMemoryExecutorQueryServiceImpl

extends Object
implements org.kie.internal.executor.api.ExecutorQueryService

Constructor Summary
`InMemoryExecutorQueryServiceImpl(boolean active)`

Method Summary
`protected
`<T> List<T>`
` | `applyPaginition(List<T> input, org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getAllErrors()`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getAllErrors(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getAllRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getAllRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCancelledRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCancelledRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCompletedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCompletedRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getErrorsByRequestId(Long id)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getFutureQueuedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getFutureQueuedRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getInErrorRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getInErrorRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequestById(Long id)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getQueuedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getQueuedRequests(org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestByBusinessKey(String businessKey)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestByBusinessKey(String businessKey, org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestByCommand(String command, org.kie.internal.query.QueryContext queryContext)`
`org.kie.internal.executor.api.RequestInfo` | `getRequestById(Long id)`
`org.kie.internal.executor.api.RequestInfo` | `getRequestForProcessing()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses, org.kie.internal.query.QueryContext queryContext)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRunningRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRunningRequests(org.kie.internal.query.QueryContext queryContext)`
`void` | `setStoreService(InMemoryExecutorStoreService storeService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InMemoryExecutorQueryServiceImpl

    public InMemoryExecutorQueryServiceImpl(boolean active)

Method Detail

### setStoreService

    public void setStoreService(InMemoryExecutorStoreService storeService)

### getPendingRequests

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequests()

  Specified by:
    `getPendingRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getPendingRequestById

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequestById(Long id)

  Specified by:
    `getPendingRequestById` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestById

    public org.kie.internal.executor.api.RequestInfo getRequestById(Long id)

  Specified by:
    `getRequestById` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestByBusinessKey

    public List<org.kie.internal.executor.api.RequestInfo> getRequestByBusinessKey(String businessKey)

  Specified by:
    `getRequestByBusinessKey` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getErrorsByRequestId

    public List<org.kie.internal.executor.api.ErrorInfo> getErrorsByRequestId(Long id)

  Specified by:
    `getErrorsByRequestId` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getQueuedRequests()

  Specified by:
    `getQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCompletedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCompletedRequests()

  Specified by:
    `getCompletedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getInErrorRequests

    public List<org.kie.internal.executor.api.RequestInfo> getInErrorRequests()

  Specified by:
    `getInErrorRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCancelledRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCancelledRequests()

  Specified by:
    `getCancelledRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllErrors

    public List<org.kie.internal.executor.api.ErrorInfo> getAllErrors()

  Specified by:
    `getAllErrors` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllRequests

    public List<org.kie.internal.executor.api.RequestInfo> getAllRequests()

  Specified by:
    `getAllRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRunningRequests

    public List<org.kie.internal.executor.api.RequestInfo> getRunningRequests()

  Specified by:
    `getRunningRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getFutureQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getFutureQueuedRequests()

  Specified by:
    `getFutureQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestsByStatus

    public List<org.kie.internal.executor.api.RequestInfo> getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)

  Specified by:
    `getRequestsByStatus` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestForProcessing

    public org.kie.internal.executor.api.RequestInfo getRequestForProcessing()

  Specified by:
    `getRequestForProcessing` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestByBusinessKey

    public List<org.kie.internal.executor.api.RequestInfo> getRequestByBusinessKey(String businessKey,
                                                                                   org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getRequestByBusinessKey` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestByCommand

    public List<org.kie.internal.executor.api.RequestInfo> getRequestByCommand(String command,
                                                                               org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getRequestByCommand` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getPendingRequests

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getPendingRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getQueuedRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCompletedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCompletedRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getCompletedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getInErrorRequests

    public List<org.kie.internal.executor.api.RequestInfo> getInErrorRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getInErrorRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getCancelledRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCancelledRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getCancelledRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllErrors

    public List<org.kie.internal.executor.api.ErrorInfo> getAllErrors(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getAllErrors` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getAllRequests

    public List<org.kie.internal.executor.api.RequestInfo> getAllRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getAllRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRunningRequests

    public List<org.kie.internal.executor.api.RequestInfo> getRunningRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getRunningRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getFutureQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getFutureQueuedRequests(org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getFutureQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### getRequestsByStatus

    public List<org.kie.internal.executor.api.RequestInfo> getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses,
                                                                               org.kie.internal.query.QueryContext queryContext)

  Specified by:
    `getRequestsByStatus` in interface `org.kie.internal.executor.api.ExecutorQueryService`

### applyPaginition

    protected <T> List<T> applyPaginition(List<T> input,
                                          org.kie.internal.query.QueryContext queryContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.